SQL-инъекция в BlogPHP

Дата публикации:
23.01.2006
Дата изменения:
04.02.2008
Всего просмотров:
1419
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-0372
CVE-2006-0318
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
BlogPHP 1.x
Уязвимые версии: BlogPHP 1.0

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "username" на странице авторизации пользователей и в параметрах "blogphp_username" и "blogphp_password" файла куки в процессе аутентификации.. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости должна быть выключена опция "magic_quotes_gpc". Пример:

http://host/index.php? act=login
username: a' or 1/*
password: anypassword

URL производителя: www.blogphp.net

Решение: Установите последнюю версию 2.0 с сайта производителя.

Журнал изменений:

04.02.2008
Изменена секция «Решение».
Обновлено описание уязвимости.

Ссылки: [eVuln] BlogPHP Authentication Bypass

или введите имя

CAPTCHA